/*
*Theme Name:     CozyStay Child Theme
*Theme URI: 	 https://cozystay.loftocean.com/
*Description:    CozyStay child theme for user customization
*Author:         Loft.Ocean
*Author URI:     http://www.loftocean.com
*License: 		 GNU General Public License v2 or later
*License URI: 	 http://www.gnu.org/licenses/gpl-2.0.html
*Tags: 			 full-width-template, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, rtl-language-support, sticky-post, threaded-comments, translation-ready
*Template:       cozystay
*Text Domain: 	 cozystay-child
*Version:        1.0
*/

/** Add your styles below **/


section.elementor-section.elementor-top-section.elementor-element.elementor-element-835f201.elementor-section-content-middle.cs-section-content-fullwidth.elementor-section-boxed.elementor-section-height-default.elementor-section-height-default {
  position: fixed;

}


.cs-menu a,
header#masthead a {
  color: #fff !important;
}

.lg-extendrow .elementor-container {
  max-width: inherit !important;
  padding: 0 !important;
}

.primary {
  padding-bottom: 0;
}

div#mapid {
  min-height: 600px;
}

ul#points-of-interest {
  list-style-type: none;
  padding: 0;
  margin: 0;
  -webkit-column-count: 3;
  /* Per i browser Chrome, Safari e Opera */
  -moz-column-count: 3;
  /* Per Firefox */
  column-count: 3;
  /* Standard */

  /* Puoi aggiungere ulteriori stili per migliorare l'aspetto, come un margine tra le colonne */
  -webkit-column-gap: 20px;
  /* Per i browser Chrome, Safari e Opera */
  -moz-column-gap: 20px;
  /* Per Firefox */
  column-gap: 20px;
  /* Standard */
}

ul#points-of-interest li {
  border-bottom: 1px solid rgb(213, 213, 213);
  padding-top: 40px;
  padding-bottom: 0px;
  position: relative;
}

ul#points-of-interest li:hover {
  cursor: pointer;
  color: #53624e;
  border-bottom: 1px solid #53624e;
  -webkit-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -o-transition: all 300ms ease;
  transition: all 300ms ease;
}

header#sticky-site-header {
  -webkit-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -o-transition: all 300ms ease;
  transition: all 300ms ease;
  background-color: transparent;
  transition: background-color 0.5s ease;

}

header#sticky-site-header.sticky {
  background-color: #53624e;
  z-index: 999;
  min-height: 135px;
  -webkit-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -o-transition: all 300ms ease;
  transition: all 300ms ease;
  transition: background-color 0.5s ease;

}

span.minipoint {
  position: absolute;
  display: block;
  line-height: 10px;
  font-size: 14px;
  top: 11px;
  color: rgb(172, 172, 172);
}

.ga-rowexperience .cs-title-text {
  min-height: 220px;
}

.cs-menu .primary-menu>li>a:before {
  display: none;
}

.cs-menu .primary-menu>li.current-menu-item>a {
  text-decoration: underline;
}

.cs-menu .primary-menu>li>a:hover {
  text-decoration: underline;
}

.pulsating-circle {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 30px;
  height: 30px;
}

.pulsating-circle:before {
  content: "";
  position: relative;
  display: block;
  width: 300%;
  height: 300%;
  box-sizing: border-box;
  margin-left: -100%;
  margin-top: -100%;
  border-radius: 45px;
  background-color: #01a4e9;
  animation: pulse-ring 1.25s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
}

.pulsating-circle:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  display: block;
  width: 100%;
  height: 100%;
  background-color: white;
  border-radius: 15px;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);
  animation: pulse-dot 1.25s cubic-bezier(0.455, 0.03, 0.515, 0.955) -0.4s infinite;
}

@keyframes pulse-ring {
  0% {
    transform: scale(0.33);
  }

  80%,
  100% {
    opacity: 0;
  }
}

@keyframes pulse-dot {
  0% {
    transform: scale(0.8);
  }

  50% {
    transform: scale(1);
  }

  100% {
    transform: scale(0.8);
  }
}

.full-width {
  position: relative;
  width: 100vw !important;
  left: calc(50% - 50vw);
  max-width: inherit !important;
}


.fixed-element {
  transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
  opacity: 1; /* Visibile inizialmente */
  visibility: visible; /* Assicurati che sia visibile */
  left: calc(50% - 50vw);
  /* Smooth transition for when it changes position */
}

.fixed-element.stickybanner {
  max-height: 80px !important;
  min-height: 80px !important;
  z-index: 999;
  /* Smooth transition for when it changes position */
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  transform: translateY(0); /* Riporta l'elemento nella sua posizione normale */
  opacity: 1; /* Assicurati che l'elemento sia completamente visibile */
  visibility: visible; /* Assicurati che sia visibile */
}


.fixed-element.hidden {
  opacity: 0; /* Rendi l'elemento trasparente */
  visibility: hidden; /* Nasconde l'elemento */
  transform: translateY(80px); /* Sposta l'elemento verso il basso */
}
.fixed-element-placeholder {
  display: none; /* Nascondi il segnaposto di default */
  height: 0; /* Imposta l'altezza iniziale a 0 o all'altezza del tuo banner */
}

.fixed-element.stickybanner + .fixed-element-placeholder {
  display: block;
  height: 60px; /* Mostra il segnaposto quando il banner è sticky */
}


.full-width .e-con-full:first-child:after {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 30px;
  display: block;
  width: 1px;
  height: 56px;
  background: #b99d75;
  content: "";
  right: 0;
}

.form-row {
  display: block;
  clear: both;
  width: 100%;
  margin-bottom: 0px;
}

.form-row.half {
  float: left;
  width: 48%;
  box-sizing: border-box;
  margin-right: 15px;
  clear: none;
}

span.wpcf7-list-item {
  margin: 0;
  font-size: 14px;
  color: #69727d;
  line-height: 120%;
}



.form-row.half:nth-child(2n) {
  padding-right: 0;
}

/* Clearfix per gli elementi float */
.form-row::after {
  content: "";
  clear: both;
  display: table;
}

header .primary-menu > li > a{
  line-height: 14px!important;
  max-width: 170px !important;
  word-wrap: break-word !important;
  white-space: normal !important;
  font-size: 12px;
 }
 .primary-menu{
  align-items: center;
 }
@media(max-width:991px) {
  ul#points-of-interest {
    list-style-type: none;
    padding: 0;
    margin: 0;
    -webkit-column-count: 2;
    /* Per i browser Chrome, Safari e Opera */
    -moz-column-count: 2;
    /* Per Firefox */
    column-count: 2;
    /* Standard */

    /* Puoi aggiungere ulteriori stili per migliorare l'aspetto, come un margine tra le colonne */
    -webkit-column-gap: 10px;
    /* Per i browser Chrome, Safari e Opera */
    -moz-column-gap: 10px;
    /* Per Firefox */
    column-gap: 10px;
    /* Standard */
  }

  .full-width .e-con-full:first-child:after {
    display: none;
  }

  .cs-menu .primary-menu>li>a {
    padding: 0;
    display: block;
    width: 100%;
    margin-bottom: 5px;
  }

  footer .primary-menu>li {
    white-space: nowrap;
    display: block;
    width: 100%;
  }

  .menu-toggle .menu-toggle-icon:before,
  .menu-toggle .menu-toggle-icon:after {
    border-color: #fff;
  }

  header#sticky-site-header.sticky {
    min-height: 95px;
  }
}

@media (max-width:768px) {
  ul#points-of-interest li {
    border-bottom: 1px solid rgb(213, 213, 213);
    padding-top: 30px;
    padding-bottom: 0;
    position: relative;
    font-size: 14px;
    min-height: 64px;
    line-height: 100%;
  }

  span.minipoint {
    font-size: 12px;
  }

  .fixed-element.stickybanner {
    transition: all 0.8s ease !important;
    max-height: 160px !important;
    min-height: 70px !important;
    z-index: 99999999;
    position: fixed;
    bottom: 0;
    left: 0;
    margin: 0;
    right: 0;
  }

  .to-top {
    z-index: 7 !important;
  }
}